package com.xxrv.video.bean.circle;

import java.io.Serializable;
import java.util.List;

public class DiscoveryDataBean implements Serializable {
    private String cityId;
    private String flag;
    private double latitude;
    private double longitude;
    private String model;
    private String nickname;
    private String picUrl;
    private String time;
    private String userId;
    private String visible;
    private int isPraise;  //0：未点赞 1：已点赞
    private String isCollect;
    private String state;
    private String isAllowComment;
    private Count count;
    private MsgId id;
    private String msgId;
    private Body body;
    private String location;
    private List<Comment> comments;
    private List<praises> praises;

    public int getPraiseCount() {
        if (praises != null)
            return praises.size();
        return 0;
    }

    public String getFirstImageOriginal() {
        if (body != null && body.getImages() != null && body.getImages().size() > 0) {
            return body.getImages().get(0).getOurl();
        }
        return null;
    }

    public String getFirstVideo() {
        if (body != null && body.getVideos() != null && body.getVideos().size() > 0) {
            return body.getVideos().get(0).getOurl();
        }
        return null;
    }

    public long getFirstVideoSize() {
        if (body != null && body.getVideos() != null && body.getVideos().size() > 0) {
            return body.getVideos().size();
        }
        return 0;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getMsgId() {
        return msgId;
    }


    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getVisible() {
        return visible;
    }

    public void setVisible(String visible) {
        this.visible = visible;
    }

    public int getIsPraise() {
        return isPraise;
    }

    public void setIsPraise(int isPraise) {
        this.isPraise = isPraise;
    }

    public String getIsCollect() {
        return isCollect;
    }

    public void setIsCollect(String isCollect) {
        this.isCollect = isCollect;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getIsAllowComment() {
        return isAllowComment;
    }

    public void setIsAllowComment(String isAllowComment) {
        this.isAllowComment = isAllowComment;
    }

    public Count getCount() {
        return count;
    }

    public void setCount(Count count) {
        this.count = count;
    }

    public MsgId getId() {
        return id;
    }

    public void setId(MsgId id) {
        this.id = id;
    }

    public Body getBody() {
        return body;
    }

    public void setBody(Body body) {
        this.body = body;
    }

    public List<Comment> getComments() {
        return comments;
    }

    public void setComments(List<Comment> comments) {
        this.comments = comments;
    }

    public List<praises> getPraises() {
        return praises;
    }

    public void setPraises(List<praises> praises) {
        this.praises = praises;
    }

    public static class Count implements Serializable {
        private String collect;
        private String comment;
        private int forward;
        private String money;
        private int play;
        private String praise;
        private String share;
        private String total;

        public String getCollect() {
            return collect;
        }

        public void setCollect(String collect) {
            this.collect = collect;
        }

        public String getComment() {
            return comment;
        }

        public void setComment(String comment) {
            this.comment = comment;
        }

        public int getForward() {
            return forward;
        }

        public void setForward(int forward) {
            this.forward = forward;
        }

        public String getMoney() {
            return money;
        }

        public void setMoney(String money) {
            this.money = money;
        }

        public int getPlay() {
            return play;
        }

        public void setPlay(int play) {
            this.play = play;
        }

        public String getPraise() {
            return praise;
        }

        public void setPraise(String praise) {
            this.praise = praise;
        }

        public String getShare() {
            return share;
        }

        public void setShare(String share) {
            this.share = share;
        }

        public String getTotal() {
            return total;
        }

        public void setTotal(String total) {
            this.total = total;
        }
    }

    public static class MsgId implements Serializable {
        private String timestamp;// ": 16,
        private String machineIdentifier;// ": 16,
        private String processIdentifier;// ": 16,
        private String counter;// ": 16,
        private String time;// ": 16,
        private String date;// ": 16,
        private String timeSecond;// ": 16,

        public String getTimestamp() {
            return timestamp;
        }

        public void setTimestamp(String timestamp) {
            this.timestamp = timestamp;
        }

        public String getMachineIdentifier() {
            return machineIdentifier;
        }

        public void setMachineIdentifier(String machineIdentifier) {
            this.machineIdentifier = machineIdentifier;
        }

        public String getProcessIdentifier() {
            return processIdentifier;
        }

        public void setProcessIdentifier(String processIdentifier) {
            this.processIdentifier = processIdentifier;
        }

        public String getCounter() {
            return counter;
        }

        public void setCounter(String counter) {
            this.counter = counter;
        }

        public String getTime() {
            return time;
        }

        public void setTime(String time) {
            this.time = time;
        }

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public String getTimeSecond() {
            return timeSecond;
        }

        public void setTimeSecond(String timeSecond) {
            this.timeSecond = timeSecond;
        }
    }

    public static class Body implements Serializable {
        private String text;
        private String time;
        private String type;
        private List<Images> images;
        private List<Videos> videos;

        public String getText() {
            return text;
        }

        public void setText(String text) {
            this.text = text;
        }

        public String getTime() {
            return time;
        }

        public void setTime(String time) {
            this.time = time;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public List<Images> getImages() {
            return images;
        }

        public void setImages(List<Images> images) {
            this.images = images;
        }

        public List<Videos> getVideos() {
            return videos;
        }

        public void setVideos(List<Videos> videos) {
            this.videos = videos;
        }

        public static class Images implements Serializable {
            private String length;
            private String size;
            private String turl;
            private String ourl;
            private String oUrl;
            private String tUrl;

            public String getLength() {
                return length;
            }

            public void setLength(String length) {
                this.length = length;
            }

            public String getSize() {
                return size;
            }

            public void setSize(String size) {
                this.size = size;
            }

            public String getTurl() {
                return turl;
            }

            public void setTurl(String turl) {
                this.turl = turl;
            }

            public String getOurl() {
                return ourl;
            }

            public void setOurl(String ourl) {
                this.ourl = ourl;
            }

            public String getoUrl() {
                return oUrl;
            }

            public void setoUrl(String oUrl) {
                this.oUrl = oUrl;
            }

            public String gettUrl() {
                return tUrl;
            }

            public void settUrl(String tUrl) {
                this.tUrl = tUrl;
            }
        }

        public static class Videos implements Serializable {
            private String length;
            private String size;
            private String ourl;
            private String oUrl;

            public String getLength() {
                return length;
            }

            public void setLength(String length) {
                this.length = length;
            }

            public String getSize() {
                return size;
            }

            public void setSize(String size) {
                this.size = size;
            }

            public String getOurl() {
                return ourl;
            }

            public void setOurl(String ourl) {
                this.ourl = ourl;
            }

            public String getoUrl() {
                return oUrl;
            }

            public void setoUrl(String oUrl) {
                this.oUrl = oUrl;
            }
        }

    }

    public static class Comments implements Serializable {
        private String body;
        private String nickname;
        private String time;
        private String toUserId;
        private String userId;
        private MsgId msgId;

        public String getBody() {
            return body;
        }

        public void setBody(String body) {
            this.body = body;
        }

        public String getNickname() {
            return nickname;
        }

        public void setNickname(String nickname) {
            this.nickname = nickname;
        }

        public String getTime() {
            return time;
        }

        public void setTime(String time) {
            this.time = time;
        }

        public String getToUserId() {
            return toUserId;
        }

        public void setToUserId(String toUserId) {
            this.toUserId = toUserId;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public MsgId getMsgId() {
            return msgId;
        }

        public void setMsgId(MsgId msgId) {
            this.msgId = msgId;
        }

        public static class MsgId implements Serializable {
            private String timestamp;
            private String machineIdentifier;
            private String processIdentifier;
            private String counter;
            private String time;
            private String date;
            private String timeSecond;

            public String getTimestamp() {
                return timestamp;
            }

            public void setTimestamp(String timestamp) {
                this.timestamp = timestamp;
            }

            public String getMachineIdentifier() {
                return machineIdentifier;
            }

            public void setMachineIdentifier(String machineIdentifier) {
                this.machineIdentifier = machineIdentifier;
            }

            public String getProcessIdentifier() {
                return processIdentifier;
            }

            public void setProcessIdentifier(String processIdentifier) {
                this.processIdentifier = processIdentifier;
            }

            public String getCounter() {
                return counter;
            }

            public void setCounter(String counter) {
                this.counter = counter;
            }

            public String getTime() {
                return time;
            }

            public void setTime(String time) {
                this.time = time;
            }

            public String getDate() {
                return date;
            }

            public void setDate(String date) {
                this.date = date;
            }

            public String getTimeSecond() {
                return timeSecond;
            }

            public void setTimeSecond(String timeSecond) {
                this.timeSecond = timeSecond;
            }
        }
    }

    public static class praises implements Serializable {
        private String nickname;
        private String time;
        private String userId;
        private MsgId msgId;

        public String getNickname() {
            return nickname;
        }

        public void setNickname(String nickname) {
            this.nickname = nickname;
        }

        public String getTime() {
            return time;
        }

        public void setTime(String time) {
            this.time = time;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public MsgId getMsgId() {
            return msgId;
        }

        public void setMsgId(MsgId msgId) {
            this.msgId = msgId;
        }
    }
}
